Package ghidra.app.cmd.data

# Class CreateStructureInStructureCmd

java.lang.Object
ghidra.app.cmd.data.AbstractCreateStructureCmd
ghidra.app.cmd.data.CreateStructureInStructureCmd

All Implemented Interfaces:
  `Command`

public class CreateStructureInStructureCmd extends AbstractCreateStructureCmd
Command to create a structure inside of another structure.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateStructureInStructureCmd(Address address, int[] fromPath, int[] toPath)`
  Constructs a new command for creating structures inside other structures.
  `CreateStructureInStructureCmd(Structure newStructure, Address address, int[] fromPath, int[] toPath)`
  `CreateStructureInStructureCmd(String name, Address addr, int[] fromPath, int[] toPath)`
  Constructs a new command for creating structures inside other structures.

- ## Method Summary

  ### Methods inherited from class ghidra.app.cmd.data.AbstractCreateStructureCmd

  `applyTo, getName, getNewDataType, getStatusMsg`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateStructureInStructureCmd

    public CreateStructureInStructureCmd(Address address, int[] fromPath, int[] toPath)
    Constructs a new command for creating structures inside other structures.
    Parameters:
      `address` - the address of the outer-most structure.
      `fromPath` - the componentPath of the first component to be consumed in the new structure.
      `toPath` - the componentPath of the second component to be consumed in the the new structure.

  - ### CreateStructureInStructureCmd

    public CreateStructureInStructureCmd(String name, Address addr, int[] fromPath, int[] toPath)
    Constructs a new command for creating structures inside other structures.
    Parameters:
      `name` - The name of the structure.
      `addr` - the address of the outer-most structure.
      `fromPath` - the componentPath of the first component to be consumed in the new structure.
      `toPath` - the componentPath of the second component to be consumed in the the new structure.

  - ### CreateStructureInStructureCmd

    public CreateStructureInStructureCmd(Structure newStructure, Address address, int[] fromPath, int[] toPath)